Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter
  Definition Classes
    nsc
-  package shell
  Definition Classes
    interpreter
- Accumulator
- Completion
- CompletionResult
- History
- ILoop
- InteractiveReader
- Javap
- Javap8
- Javap9
- JavapClass
- JavapProvider
- JavapTask
- JavapTool
- Logger
- LoopCommands
- MultiCompletion
- NoCompletion
- NoCompletions
- NoHistory
- Parsed
- Pasted
- ProcessResult
- ReplCompletion
- ReplReporterImpl
- Scripted
- ShellConfig
- SimpleHistory
- SimpleReader
- Tabulator
- VariColumnTabulator
- WriterOutputStream

t

scala.tools.nsc.interpreter.shell

# VariColumnTabulator

###

#### trait VariColumnTabulator extends Tabulator

Adjust the column width and number of columns to minimize the row count.

Source
  Tabulators.scala

Linear Supertypes
Tabulator, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VariColumnTabulator
2. Tabulator
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def isAcross: Boolean
   Definition Classes
     Tabulator
2.  abstract def marginSize: Int
   Definition Classes
     Tabulator
3.  abstract def width: Int
   Definition Classes
     Tabulator

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from VariColumnTabulator toany2stringadd[VariColumnTabulator] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (VariColumnTabulator, B)
   Implicit
     This member is added by an implicit conversion from VariColumnTabulator toArrowAssoc[VariColumnTabulator] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def columnize(ss: Seq[String]): Seq[Seq[String]]
   Attributes
     protected
   Definition Classes
     Tabulator
9.  def ensuring(cond: (VariColumnTabulator) => Boolean, msg: => Any): VariColumnTabulator
   Implicit
     This member is added by an implicit conversion from VariColumnTabulator toEnsuring[VariColumnTabulator] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (VariColumnTabulator) => Boolean): VariColumnTabulator
    Implicit
      This member is added by an implicit conversion from VariColumnTabulator toEnsuring[VariColumnTabulator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): VariColumnTabulator
    Implicit
      This member is added by an implicit conversion from VariColumnTabulator toEnsuring[VariColumnTabulator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): VariColumnTabulator
    Implicit
      This member is added by an implicit conversion from VariColumnTabulator toEnsuring[VariColumnTabulator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  def fits(items: Seq[String], width: Int): Boolean
    Attributes
      protected
    Definition Classes
      Tabulator
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from VariColumnTabulator toStringFormat[VariColumnTabulator] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def graphemeCount(s: String): Int
    Attributes
      protected
    Definition Classes
      Tabulator
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  def pad(width: Int, s: String): String
    Attributes
      protected
    Definition Classes
      Tabulator
26.  def printMultiLineColumns(items: Seq[String]): Seq[Seq[String]]
    Attributes
      protected
    Definition Classes
      VariColumnTabulator → Tabulator
27.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
28.  def tabulate(items: Seq[String]): Seq[Seq[String]]
    Definition Classes
      Tabulator
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (VariColumnTabulator, B)
   Implicit
     This member is added by an implicit conversion from VariColumnTabulator toArrowAssoc[VariColumnTabulator] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from Tabulator

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromVariColumnTabulator to any2stringadd[VariColumnTabulator]

### Inherited by implicit conversion StringFormat fromVariColumnTabulator to StringFormat[VariColumnTabulator]

### Inherited by implicit conversion Ensuring fromVariColumnTabulator to Ensuring[VariColumnTabulator]

### Inherited by implicit conversion ArrowAssoc fromVariColumnTabulator to ArrowAssoc[VariColumnTabulator]

### Ungrouped